Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

SimpleAuthHelper 2.0.4

Simplifies the SimpleAuth login process

  1. MCPEPIG
    Offline

    MCPEPIG Notable Member

    Joined:
    Jun 22, 2014
    Posts:
    349
    Minecraft User:
    MCPEPIG
    You can disable it in config for SimpleAuth (If you use SimpleAuth)
  2. ianthunder16
    Offline

    ianthunder16 New Member

    Joined:
    Oct 10, 2015
    Posts:
    11
    Minecraft User:
    ian16thunder
  3. FocusedSG
    Offline

    FocusedSG New Member

    Joined:
    Sep 21, 2015
    Posts:
    2
    Minecraft User:
    FocusedSG
    I already disabled it, SimpleAuth works fine alone but when I install SimpleAuthHelper, players will be kicked if someone else is using the same account.
  4. MILTBSjl31
    Offline

    MILTBSjl31 New Member

    Joined:
    Oct 12, 2015
    Posts:
    1
    Minecraft User:
    MILTHESAPPHIRE
    how do you download I tried it on pocketmine but doesn't even Work it says it cannot read the file pls help me
  5. ReverendMilo
    Offline

    ReverendMilo New Member

    Joined:
    Aug 28, 2015
    Posts:
    9
    I'm getting some odd console messages on join/quit/register:
    Code:
    [15:41:48] [Server thread/INFO]: User_1[/x.x.x:19132] logged in with entity id 1 at (flatland, 97.3267, 4, 120.9496)
    [15:41:49] [Server thread/CRITICAL]: "Could not pass event 'pocketmine\event\player\PlayerJoinEvent' to 'SimpleAuth v1.7.1': Illegal offset type on SimpleAuth\EventListener
    [15:41:49] [Server thread/WARNING]: RuntimeException: "Illegal offset type" (E_WARNING) in "/SimpleAuth_v1.7.1.phar/src/SimpleAuth/task/ShowMessageTask" at line 42
    [15:41:49] [Server thread/INFO]: User_1 joined the game
    [15:41:58] [Server thread/WARNING]: [SimpleAuthHelper] Ignoring caught exception!
    [16:01:22] [Server thread/CRITICAL]: "Could not pass event 'pocketmine\event\player\PlayerQuitEvent' to 'SimpleAuth v1.7.1': Illegal offset type in unset on SimpleAuth\EventListener
    [16:01:22] [Server thread/WARNING]: RuntimeException: "Illegal offset type in unset" (E_WARNING) in "/SimpleAuth_v1.7.1.phar/src/SimpleAuth/task/ShowMessageTask" at line 46
    [16:01:22] [Server thread/INFO]: User_1 left the game
    [16:01:22] [Server thread/INFO]: User_1[/x.x.x.x:19132] logged out due to client disconnect
    [16:01:45] [Server thread/NOTICE]: Player data not found for "User_2", creating new profile
    [16:01:45] [Server thread/INFO]: User_2[/x.x.x.x:19132] logged in with entity id 69 at (world, 97, 70, 204)
    [16:01:46] [Server thread/CRITICAL]: "Could not pass event 'pocketmine\event\player\PlayerJoinEvent' to 'SimpleAuth v1.7.1': Illegal offset type on SimpleAuth\EventListener
    [16:01:46] [Server thread/WARNING]: RuntimeException: "Illegal offset type" (E_WARNING) in "/SimpleAuth_v1.7.1.phar/src/SimpleAuth/task/ShowMessageTask" at line 42
    [16:01:46] [Server thread/INFO]: User_2 joined the game

    one thing I notice in this is that I am using a HostingItAll Server. my port # is not 19132 it is a variation on 19xxx.
    Last edited: Oct 20, 2015
  6. aliuly
    Offline

    aliuly Notable Member Plugin Developer

    Joined:
    Feb 8, 2014
    Posts:
    1,086
    Plugins:
    17
    Those are SimpleAuth errors. SimpleAuth needs to be updated. SimpleAuthHelper simply does some things to make sure that SimpleAuth still works, but those errors (related to the popup tasks) can't be caught.
    HotFireyDeath likes this.
  7. ReverendMilo
    Offline

    ReverendMilo New Member

    Joined:
    Aug 28, 2015
    Posts:
    9
    Ty
    Just for clarity- does simpleauth itself needs to be updated, or am I needing to install an updated version of it?
  8. HotFireyDeath
    Offline

    HotFireyDeath Notable Member Plugin Developer

    Joined:
    Mar 19, 2015
    Posts:
    328
    Plugins:
    1
    Minecraft User:
    HotFireyDeath
    You happen to already be running the latest version of SimpleAuth. You will have to wait until the developer (@shoghicp) updates the plugin to fix these errors.
  9. lucasvitegui
    Offline

    lucasvitegui Active Member

    Joined:
    Apr 18, 2015
    Posts:
    191
    Minecraft User:
    lucasviteguiBR
    When someone say something in chat, their password appears for me in console under the message... Thats not so good if it was planned.
  10. aliuly
    Offline

    aliuly Notable Member Plugin Developer

    Joined:
    Feb 8, 2014
    Posts:
    1,086
    Plugins:
    17
    Are you sure you this is because SimpleAuthHelper and not because a different plugin?
    What versions of PocketMine-MP, SimpleAuth and SimpleAuthHelper are you using?
  11. itmedevcraft_
    Offline

    itmedevcraft_ New Member

    Joined:
    Oct 27, 2015
    Posts:
    6
    Minecraft User:
    itmedevcraft_
    When I tried to install this plugin, it could not load due to 40 unknown dependencies. Which dependencies are they?
  12. aliuly
    Offline

    aliuly Notable Member Plugin Developer

    Joined:
    Feb 8, 2014
    Posts:
    1,086
    Plugins:
    17
    Actually, this only depends on SimpleAuth. What version of PocketMine are you using?
  13. Tolo
    Offline

    Tolo Active Member

    Joined:
    Jul 2, 2015
    Posts:
    116
    Minecraft User:
    Tolo
    Hi great plugin. But why was nest-egg. Removed from the config?
  14. aliuly
    Offline

    aliuly Notable Member Plugin Developer

    Joined:
    Feb 8, 2014
    Posts:
    1,086
    Plugins:
    17
    Nobody seemed to use that feature.
    Legoboy0215 likes this.
  15. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    I did :p
  16. Tolo
    Offline

    Tolo Active Member

    Joined:
    Jul 2, 2015
    Posts:
    116
    Minecraft User:
    Tolo
    That's a shame. I did. And i can't seem to find any other plugin to replace it lol
  17. DjJakkiGlass
    Offline

    DjJakkiGlass New Member

    Joined:
    Jul 16, 2015
    Posts:
    38
    Minecraft User:
    DjJakkiGlass
    I'm having a weird issue...I just updated my version of this and now when I go on and attempt to login, it says "you do not have permission to use login command"
    Did I do something wrong :/
    Please help!
  18. Tolo
    Offline

    Tolo Active Member

    Joined:
    Jul 2, 2015
    Posts:
    116
    Minecraft User:
    Tolo
    Add this node to all ur groups. It should fix it.

    - simpleauth.command.login
  19. DjJakkiGlass
    Offline

    DjJakkiGlass New Member

    Joined:
    Jul 16, 2015
    Posts:
    38
    Minecraft User:
    DjJakkiGlass
    Now when I try to login the whole server crashes :/
    Here's what it says in the log:

    2015-11-27 [18:58:47] [CRITICAL]: "Could not pass event 'pocketmine\event\player\PlayerJoinEvent' to 'SimpleAuth v1.7.1': Illegal offset type on SimpleAuth\EventListener
    2015-11-27 [18:58:47] [WARNING]: RuntimeException: "Illegal offset type" (E_WARNING) in "/SimpleAuth_v1.7.1.phar/src/SimpleAuth/task/ShowMessageTask" at line 42
    2015-11-27 [18:58:58] [EMERGENCY]: An unrecoverable error has occurred and the server has crashed. Creating a crash dump




  20. Tolo
    Offline

    Tolo Active Member

    Joined:
    Jul 2, 2015
    Posts:
    116
    Minecraft User:
    Tolo
    SimpleAuth plugin is ur problem. Not SimpleAuthHelper.

Share This Page

Advertisement